IPsec - site (2.2) to site (2.1.2)



  • Hi

    Trying to connect 2.2 (built on Fri Jun 20 07:36:50 CDT 2014 ) to a 2.1.2 box and give-me error:

    "charon 05[NET] received unsupported IKE version 1.0 from 85.246.xx.xx, sending INVALID_MAJOR_VERSION" initiating from 2.1.2 and "charon: 15[IKE] IKE version 1 not supported" initiating from 2.2

    In 2.2 i chose v1 on IKE type the rest is normal stuff.


  • Rebel Alliance Developer Netgate

    Looks like there was a problem with the way the ipsec daemon was built in the current snaps. It should be better on the ones later today/tomorrow



  • I've been unable to get the mobile client working.  I installed the snapshot from Thu Jun 12 07:00:01 CDT 2014 and then loaded my saved configuration from before.

    This appears to be relevant error from the log:

    Jun 23 21:37:34 charon: 06[NET] received unsupported IKE version 1.0 from 2.2.2.2, sending INVALID_MAJOR_VERSION

    Google has turned up very little, and I've tried IKE v1 and v2 on the configuration as well as turning on and off AES-NI (I wasn't using it in 2.1.x)

    The mobile client is an OSX IPsec connection.


  • Rebel Alliance Developer Netgate

    Try a current snapshot, not the older ones.



  • @jimp:

    Try a current snapshot, not the older ones.

    The latest snapshot resolved it.


Log in to reply